import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentWhereInputObjectSchema as AppointmentWhereInputObjectSchema } from './AppointmentWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => AppointmentWhereInputObjectSchema).optional()
}).strict();
export const UserCountOutputTypeCountAppointmentsArgsObjectSchema = makeSchema();
export const UserCountOutputTypeCountAppointmentsArgsObjectZodSchema = makeSchema();
